#!/bin/sh

cd /root

/bin/ipfs-key "$@" 2> /root/keygen.stderr 1> peer.key
awk '/^ID for generated key:/ {print $5}' < keygen.stderr > peer.id
xxd -p -l 32 -c 32 /dev/random | tr -d '\n' > cluster.key

cat << EOF
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: ipfs-config
data:
  bootstrap-peer-id: |-
    $(cat peer.id)
---
apiVersion: v1
kind: Secret
metadata:
  name: ipfs-secrets
stringData:
  cluster-secret: |-
    $(xxd -p -l 32 -c 32 /dev/random)
data:
  bootstrap-peer-priv-key: |-
    $(base64 -w 0 peer.key)
EOF
